Witaj Gościu! ( Zaloguj | Rejestruj )

Forum PHP.pl

 
Reply to this topicStart new topic
> PDO...
Armageddon
post 21.03.2009, 01:21:38
Post #1





Grupa: Zarejestrowani
Postów: 14
Pomógł: 0
Dołączył: 18.03.2007

Ostrzeżenie: (0%)
-----


Zaznaczyłem, że PDO jest w php od wersji 5.1, a tu pokazuje, że źle, a cytując wikipedię:

Kod
Brak wersji przejrzanej
Skocz do: nawigacji, szukaj

PHP Data Objects - rozszerzenie języka PHP udostępniające jednolity interfejs dostępu do bazy danych w postaci pojedynczej klasy z metodami wspólnymi dla różnych silników zarządzania bazą danych. Eliminuje to konieczność korzystania przez twórców oprogramowania z własnych lub zewnętrznych rozwiązań unifikujących sposób operowania na bazie danych.

PHP Data Objects jest dostępne w PHP od wersji 5.1 i obsługuje popularne narzędzia, takie jak MSSQL, MySQL, Oracle czy PostgreSQL.
Go to the top of the page
+Quote Post
julek12
post 21.03.2009, 07:15:11
Post #2





Grupa: Zarejestrowani
Postów: 97
Pomógł: 5
Dołączył: 6.02.2009
Skąd: Gorzów Wlkp.

Ostrzeżenie: (0%)
-----


Ale wersja beta PDO była dostępna wczesniej:)
Go to the top of the page
+Quote Post
Armageddon
post 21.03.2009, 10:30:04
Post #3





Grupa: Zarejestrowani
Postów: 14
Pomógł: 0
Dołączył: 18.03.2007

Ostrzeżenie: (0%)
-----


A jest to w teście zaznaczone?
Go to the top of the page
+Quote Post
julek12
post 21.03.2009, 10:49:39
Post #4





Grupa: Zarejestrowani
Postów: 97
Pomógł: 5
Dołączył: 6.02.2009
Skąd: Gorzów Wlkp.

Ostrzeżenie: (0%)
-----


Ja zaznaczyłem wersje php 5 i było dobrze
Go to the top of the page
+Quote Post
kwiateusz
post 21.03.2009, 11:18:57
Post #5


Admin Techniczny


Grupa: Administratorzy
Postów: 2 069
Pomógł: 93
Dołączył: 5.07.2005
Skąd: Olsztyn




wikipedia.. a co manual ukradli? http://pl.php.net/manual/pl/intro.pdo.php i jako rozszerzenie PECL od 5.0
Go to the top of the page
+Quote Post
julek12
post 21.03.2009, 16:49:27
Post #6





Grupa: Zarejestrowani
Postów: 97
Pomógł: 5
Dołączył: 6.02.2009
Skąd: Gorzów Wlkp.

Ostrzeżenie: (0%)
-----


[...] Wersji beta PDO można było używać już w PHP 5.0, natomiast stabilna wersja pojawiła się wraz z PHP 5.1 [...]
żródło http://pl.wikibooks.org/wiki/PHP/Biblioteka_PDO
Go to the top of the page
+Quote Post

Reply to this topicStart new topic
1 Użytkowników czyta ten temat (1 Gości i 0 Anonimowych użytkowników)
0 Zarejestrowanych:

 



RSS Wersja Lo-Fi Aktualny czas: 18.11.2019 - 15:25